/*
 * Copyright 2011 Henry Coles
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */
package org.pitest.util;

import static org.junit.Assert.assertTrue;

import java.io.IOException;
import java.net.ServerSocket;

import org.junit.Before;
import org.junit.Test;

public class SocketFinderTest {

  private SocketFinder testee;

  @Before
  public void setUp() {
    this.testee = new SocketFinder();
  }

  @Test
  public void shouldFindAvailableSockets() throws IOException {
    final ServerSocket socket = this.testee.getNextAvailableServerSocket();
    assertTrue(socket != null);
    socket.close();
  }

}
